/**
 * 
 */
package gov.va.med.cds.filter;

import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;

/**
 * @author susarlan
 *
 */
public class FilterPatientResolverException extends AbstractCdsBaseException
{

	/**
	 * 
	 */
	private static final long serialVersionUID = -8504570068942287670L;

	/**
	 * @param errorCode
	 */
	public FilterPatientResolverException(ErrorCodeEnum errorCode) 
	{
		super(errorCode);
	}

	/**
	 * @param errorCode
	 * @param customMsgValues
	 */
	public FilterPatientResolverException(ErrorCodeEnum errorCode, String... customMsgValues) 
	{
		super(errorCode, customMsgValues);
	}

	/**
	 * @param errorCode
	 * @param cause
	 */
	public FilterPatientResolverException(ErrorCodeEnum errorCode, Throwable cause)
	{
		super(errorCode, cause);
	}

	/**
	 * @param errorCode
	 * @param cause
	 * @param customMsgValues
	 */
	public FilterPatientResolverException(ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues) 
	{
		super(errorCode, cause, customMsgValues);
	}

}
